# do not provide/require private perl modules
%define _requires_exceptions GD.so\\|perl(HTML::Clean)\\|perl(WML::GD)
%define _provides_exceptions GD.so\\|perl(HTML::Clean)\\|perl(WML::GD)

Summary:	Website META Language
Name:		wml
Version:	2.0.11
Release:	%mkrel 6
License:	GPL
Group:		Publishing
URL:		http://www.engelschall.com/sw/wml
Source:		http://thewml.org/distrib/%{name}-%{version}.tar.gz
Patch0:		wml-2.0.9-require.patch
Patch1:		wml-pathconvert.diff
Patch2:		wml-2.0.9-perllibs.patch
Patch3:		wml-LD_RUN_PATH.diff
Patch4:		wml-external_pcre_libs.diff
Patch5:		wml-perl5.10.patch 
Patch6:		wml-2.0.11-CVE-2008-0665_CVE-2008-0666.diff
Patch7:		wml-2.0.11-autotools.patch
Patch8:		wml_wformat.patch
BuildRequires:	ncurses-devel
BuildRequires:	libtool libltdl-devel
BuildRequires:	pcre-devel
BuildRequires:	perl-devel
BuildRequires:	gettext-devel
BuildRequires:	lynx
# Please do not ever link this with an old db version than the current system db version
# libperl uses {get,set}pw*() functions which might bring in the system db version via nss,
# and lead to unexpected crashes
# BuildRequires: db2-devel, libgdbm-devel
BuildRequires:	perl-Bit-Vector >= 5.2
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Getopt::Long) >= 2.16
BuildRequires:	perl(Image::Size) >= 2.6
BuildRequires:	perl(IO::File) >= 1.07
BuildRequires:	perl(Term::ReadKey) >= 2.11
# why does not autorequires catch those???
Requires:	perl(Bit::Vector) >= 5.2
Requires:	perl(File::Spec)
Requires:	perl(Getopt::Long) >= 2.16
Requires:	perl(Image::Size) >= 2.6
Requires:	perl(IO::File) >= 1.07
Requires:	perl(Term::ReadKey) >= 2.11
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
WML is a free and extensible Webdesigner's off-line HTML generation
toolkit for Unix, distributed under the GNU General Public License
(GPL v2). It is written in ANSI C and Perl 5, build via a GNU Autoconf
based source tree and runs out-of-the-box on all major Unix derivates.
It can be used free of charge both in educational and commercial
environments.

%prep

%setup -q
%patch0 -p1 -b .require
%patch1 -p1 -b .pathconvert
%patch2 -p1 -b .perllibs
%patch3 -p0 -b .LD_RUN_PATH
%patch4 -p1 -b .external_pcre_libs
%patch5 -p0 -b .perl510
%patch6 -p1 -b .CVE-2008-0665_CVE-2008-0666
%patch7 -p0
%patch8 -p1

find -type d -name "autom4te.cache" | xargs rm -rf 

find -type f -name "Makefile*" | xargs perl -pi -e "s|\\$\(prefix\)/lib\\$\(libsubdir\)|\\$\(prefix\)/%{_lib}\\$\(libsubdir\)|g"
perl -pi -e "s|lib=\"lib|lib=\"%{_lib}|g" wml_test/Makefile.in

%build
pushd wml_backend/p3_eperl
    autoconf
popd

pushd wml_backend/p2_mp4h
    autoreconf -fi
popd

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --libdir=%{_libdir} --with-openworld --without-included-ltdl

%make

%check
make test

%install
rm -rf %{buildroot}

%makeinstall libdir=%{buildroot}%{_libdir}/wml

#clean perl files (stolen from spec-helper)
d=%{buildroot}%{_libdir}/wml
find $d -name ".packlist" | xargs rm -f
for i in $(find $d -name "*.bs"); do
    if [ -s $i ]; then
      echo "non empty *.bs file, please mail pixel@mandriva.com about this!"
    else
      rm -f $i
    fi
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ANNOUNCE BUGREPORT ChangeLog COPYING COPYRIGHT COPYRIGHT.OTHER CREDITS 
%doc NEWS README SUPPORT VERSION VERSION.HISTORY
%{_bindir}/*
%{_libdir}/%{name}
%{_mandir}/*/*


%changelog
* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 2.0.11-6mdv2010.0
+ Revision: 450404
- merge build fixes from Gentoo (Arnaud Patard):
  format errors and autotools
- build with external libltdl (from Arnaud Patard)

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.11-5mdv2009.0
+ Revision: 225927
- rebuild

* Sun Mar 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.11-4mdv2008.1
+ Revision: 189571
- fix #39253 (wml is broken since the CVE fix.)

* Wed Mar 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.11-3mdv2008.1
+ Revision: 188821
- fix #38582, #38583 (fixes CVE-2008-0665, CVE-2008-0666)

* Thu Jan 24 2008 Adam Williamson <awilliamson@mandriva.org> 2.0.11-2mdv2008.1
+ Revision: 157284
- perl 5.10 fixes from Shlomi (#37094)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.11-1mdv2008.0
+ Revision: 93681
- fix build requires (lynx)
- fix build requires (gettext-devel)
- 2.0.11
- bunzip and rediff patches
- link against system pcre libs (P4)
- attempt to fix #34245 (wml doesn't work on x86_64)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - s/Mandrake/Mandriva/

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.9-13mdv2008.0
+ Revision: 74822
- Import wml



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.0.9-13mdv2007.0
- Rebuild

* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-12
- rebuild for png
- %%mkrel

* Sat Oct 15 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0.9-11mdk
- fix one of the perl build dependencies, for version matching

* Wed Sep  7 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.0.9-10mdk
- gcc4 fixes

* Wed Nov 17 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0.9-9mdk
- Rebuild for new perl

* Sun Dec 14 2003 Luca Berra <bluca@vodka.it> 2.0.9-8mdk
- fixed configure script to use 'use' instead of 'require'
- substituted deprecated File::PathConvert with Cwd and File::Spec (both bundled with perl)
- use Config{perllibs} instead of Config{libs}, kill (build)requires for gdbm/db2
- use --with-openworld, so we do not rebuild our own modules
- do not provide/require the other private perl-modules

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.9-7mdk
- BuildRequires: libgdbm-devel

* Wed Jun 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.9-6mdk
- get rid of debug stuff in %%{_libdir}
- compile with $RPM_OPT_FLAGS
- don't rm -rf $RPM_OPT_FLAGS in %%prep stage

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.9-5mdk
- rebuild for new auto{prov,req}

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.9-4mdk
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.9-3mdk
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.9-2mdk
- fix buildrequires

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.9-1mdk
- 2.0.9

* Fri Jul 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.8-1mdk
- buildrequires db2-devel
- patch eperl to build with perl 5.8.0
- 2.0.8

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-1mdk
- 2.0.7

* Fri Aug 31 2001 Etienne Faure <etienne@mandrakesoft.com> 2.0.6-3mdk
- rebuild

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-2mdk
- rebuild

* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.0.6

* Wed Sep  6 2000 Gtz Waschk <waschk@linux-mandrake.com> 2.0.3-1mdk
- updated to 2.0.3
- make rpmlint happy

* Sun Jul 30 2000 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- initial Mandrake package
